/changedEntityExportJobs

Create a new Changed Entity Export Job

Use this endpoint to request a new Changed Entity Export Job for a specified resourceType with properties provided in the request body. The generated dataset will be one or multiple files that include all records which have changed between dateChangedFrom (specified by the user) and dateChangedTo (generated by the server at execution). Optionally, the user may also specify that inactive records be included in the export file with the includeInactive property. ChangeTypes began being stored in September 2020. Records for which the last change occurred before this date may be missing inaccurate ChangeTypes until they are updated. The user may also specify additional IDs with the requestedIds property to add to the dataset. The exported data will include all core fields for the resource type as well as any specified by the user with the requestedFields or requestedCustomFieldIds properties. If all generated content is less than the fileSizeKbLimit, then one file will be created. Otherwise, multiple files will be created such that none exceeds the specified limit.

If the dateChangedTo parameter is in the past, the resulting records will be any which changed in the dateChangedFrom and dateChangedTo window. However, the records that will be returned by the job will always be the current version of the records. They will not be records at the snapshot moment in time of dateChangedTo.

File download links expire after 20 days.

Body Params
date
Defaults to 2021-01-01T01:02:03+04:00

Required; timestamp in the format YYYY-MM-DDThh:mm:ss.00Z or YYYY-MM-DDThh:mm:ss.00 -hh:mm. Must be in the last 90 days.

date
Defaults to 2021-02-14T01:09:03+04:00

Optional; timestamp in the format YYYY-MM-DDThh:mm:ss.00Z or YYYY-MM-DDThh:mm:ss.00 -hh:mm. If provided, must be a date that is more recent than dateChangedFrom, and must be no later than the present. If not provided, will be set automatically to the time at which the API request is made.

string
Defaults to Contacts

Required; available resource type specified at the /resources endpoint

requestedIds
array of int32s
Defaults to 1,23,456,7890

IDs to be included in the exported set if available. Overrides the time window specified as well as the includeInactive property.

requestedIds
requestedFields
array of strings
Defaults to Prefix,LastUpdatedOn,DateCreated

Names of non-core fields to be included in the export

requestedFields
requestedCustomFieldIds
array of int32s
Defaults to 157,205,206

IDs of custom fields to be included in the export

requestedCustomFieldIds
int32
Defaults to 40000

The maximum size in Kb (between 1000 and 100000) of any exported .csv file; defaults to 40000

boolean
Defaults to false

If set to true, includes inactive records such as archived activist codes or deleted contacts. Defaults to false.

int32

Optional; Determines the type of contact records returned in the export. When this parameter is set to 1, only people contact records will be exported. When set to 2 only organization contact records will be exported. When it is omitted or set to 3 both people and organization contact records will be exported.

requestedActivistCodeIds
array of int32s

Optional; A list of ActivistCodeID values to filter results returning only changed ContactsActivistCodes that match. This Param is available when resourceType is "ContactsActivistCodes". For all other resourceType values it will be ignored when processing the job.

requestedActivistCodeIds
Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json